# name

name() → xs:string

Returns the name of the context node, as a string in the lexical form of a QName

There are no arguments
Result | xs:string

name($arg as node()?) → xs:string

Returns the name of the supplied node, as a string in the lexical form of a QName

Arguments
| $arg | node()? | The node whose name is required
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next